Subject: Re: Get a git diff without taking index into account

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Feb 2015 08:33:52 -0800

Eric Frederich <[email-masked]> writes:

> This is from "git help diff".  It seems to imply that I should be able to do it.
> It mentions nothing of the index.

Most of the documentation on early subcommands (and "git diff"
certainly is one of the early subcommands) were written back when
everybody knew that Git almost always talks about _tracked_ files
that are known to the index, and the only time it even cares about
untracked ones that are not in the index was when it tries to help
users by reminding what the user may have forgot to "git add".

Documentation pages do not bother repeating "this only looks at
tracked paths" for this reason; Git is about tracked files by
default.

Perhaps you can suggest how to improve the description of commands
without being too repetitive?

Thanks.